# class RadioNodeList

#### package js.html

#### extends NodeList

Available on HTML5

The `RadioNodeList` interface represents a collection of elements in a `form` or a `fieldset` element.

Documentation RadioNodeList by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/RadioNodeList

### Variables

###

`value:String`

If the underlying element collection contains radio buttons, the `value` property represents the checked radio button. On retrieving the `value` property, the `value` of the currently `checked` radio button is returned as a string. If the collection does not contain any radio buttons or none of the radio buttons in the collection is in `checked` state, the empty string is returned. On setting the `value` property, the first radio button input element whose `value` property is equal to the new value will be set to `checked`.

### Inherited Variables

#### Defined by NodeList

###

`read onlylength:Int`

The number of nodes in the `NodeList`.

### Inherited Methods

#### Defined by NodeList

###

`item (index:Int):Node`

Returns an item in the list by its index, or `null` if the index is out-of-bounds; can be used as an alternative to simply accessing `nodeList[idx]` (which instead returns `undefined` when `idx` is out-of-bounds).